Update Fund

Update the specified fund status to open or update its details. When updating to open status from pending, the current amount will be reset to the initial amount. Cannot update to open status from pending_approval or when already open. Updating to settled registers the settlement of the remaining balance (including overdrawn funds) and marks the fund as settled.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
uuid
required

Id of the desired object

string
required

Id of the selected enterprise

string
required

Id of the selected subsidiary

Body Params
string
enum

The new status of the fund. Set to 'open' (allowed from 'pending' or 'closed'), 'closed' (allowed from 'pending' or 'open') or 'settled' (allowed from 'pending_settlement' or 'open'; requires payment_date and payment_method).

Allowed:
string
enum

Payment method of the fund.

Allowed:
string

Payment date of the fund, must be a valid date in the format YYYY-MM-DD and must be in the past

string

ID of the admin performing the action. Required to open a fund. To settle a fund it must belong to the enterprise and be allowed to settle it; it can be omitted only if the enterprise has settling without admin enabled.

string

Payment reference in the ERP, stored on the settlement.

string

Notes stored on the settlement.

string

Settlement document as a base64 data URL.

number

Fund current_amount seen by the client; if it differs from the current balance the settlement is rejected.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json